package com.zj365.health.weight

import android.content.Context
import android.view.Gravity
import android.view.View
import com.xty.base.dialog.BaseDialog
import com.zj365.health.databinding.DialogTipToastBinding
import com.zj365.health.databinding.DialogUnbindDeviceBinding

class XyStudyDialog (context: Context,var name:String?, var confirm:()->Unit): BaseDialog(context) {
    val binding by lazy{ DialogUnbindDeviceBinding.inflate(layoutInflater)}
    override fun setLayout()=binding.root
    override fun initView() {
        super.initView()
        setDialogPadding(40,0,40,0)
        name?.let {
            binding.mTitle.text = name
        }
        binding.mTvConfirm.setOnClickListener {
            confirm.invoke()
            dismiss()
        }
        binding.mTvCancel.setOnClickListener {
            dismiss()
        }
    }
}